Bug 535110 - (RHQ-183) Configuration edit pages should include note of unsaved properties
Configuration edit pages should include note of unsaved properties
Status: NEW
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
0.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 03:38 EDT by Greg Hinkle
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Hinkle 2008-03-25 03:38:00 EDT
This is particularly useful for when you've gone edited an object from a list and clicked ok... the user could be confused into thinking that he has already saved the config when they still have to click ok. Could be done as an ajax thing so if they edit any field on the page they also know there are changes to save.
Comment 1 Joseph Marques 2008-07-21 00:39:39 EDT
if we could add logic to the ConfigUI component tself, it would be a big gain across many parts of the UI.
Comment 2 Red Hat Bugzilla 2009-11-10 15:47:49 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-183
Comment 3 Charles Crouch 2010-04-23 08:40:32 EDT
This is something we should target with gwt
Comment 5 Jay Shaughnessy 2014-05-05 14:05:14 EDT
I'm pretty sure we still allow  the user to navigate away without saving. Not sure...

Note You need to log in before you can comment on or make changes to this bug.